3

Good morning,

I would like to know if somebody has worked with less plugins in Magento Environment?

Indeed, I met no difficulties with grunt tools, but when Magento compile all files (through setup:upgrade command by example), it doesn't find plugins defined in less files.

When I try to reach my stylesheet, it output this error

ParseError: Unexpected input in _functions.less on line 5, column 1

where line 5 give

@plugin "plugins/index";

I do not know if the problem is about js extension, as Magento look for .less file only.

Thank you for your help,

Ilan

1
  • Feels like less php version is outdated : vendor/oyejorge/less.php/lib/Less/Version.php class Less_Version{ const version = '1.7.0.13'; // The current build number of less.php const less_version = '2.5.3'; // The less.js version that this build should be compatible with const cache_version = '253'; // The parser cache version } Commented May 23, 2018 at 6:46

0

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service and acknowledge you have read our privacy policy.

Browse other questions tagged or ask your own question.